let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "e34c5379866833f41e2a36f309912fa675d687c7";
  };

in {
  inherit nixpkgs;
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-21.05" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.05";
    rev = "";
  };
  "channels-nixos-20.09" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.09";
    rev = "1c1f5649bb9c1b0d98637c8c365228f57126f361";
  };
  "channels-nixos-20.03" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.03";
    rev = "1db42b7fe3878f3f5f7a4f2dc210772fd080e205";
  };
  "channels-nixos-19.09" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-19.09";
    rev = "75f4ba05c63be3f147bcc2f7bd4ba1f029cedcb1";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "c71f061c68ba8ce53471b767d5049cbd0f3d8490";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "fb881b80f64d1b672135533a8c2fbc86e6ed8898";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.05";
    rev = "7329ffc6e911106494183557fc249180d5422929";
  };
}
