let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-21.11";
    rev = "386234e2a61e1e8acf94dfa3a3d3ca19a6776efb";
  };

in {
  inherit nixpkgs;
  nixos = nixpkgs // { suffix = "/nixos"; };
  "channels-nixos-stable" = nixpkgs;

  #  "channels-nixos-21.05" = {
  #    url = "https://github.com/NixOS/nixpkgs/";
  #    ref = "nixos-21.05";
  #    rev = "df123677560db3b0db7c19d71981b11091fbeaf6";
  #  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "5aaed40d22f0d9376330b6fa413223435ad6fee5";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "c4d1eff44eb12cb5500fb2ab05a1a7303711254e";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-21.11";
    rev = "697cc8c68ed6a606296efbbe9614c32537078756";
  };
}
