{ pkgs, ... }:

{
  nixpkgs.config.packageOverrides = pkgs:
    with pkgs; {
      nixPath = (import ../../../default.nix {
        versionsPath = ./versions.nix;
      }).nixPath;
    };
  home-manager.users.steveej =
    import ../../../home-manager/configuration/graphical-fullblown.nix {
      inherit pkgs;
    };
  services.teamviewer.enable = true;
  system.stateVersion = "19.09";
}
