let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.09";
    rev = "b94726217f7cdc02ddf277b65553762d520da196";
  };

in {
  inherit nixpkgs;
  nixos = nixpkgs // { suffix = "/nixos"; };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "e9158eca70ae59e73fae23be5d13d3fa0cfc78b4";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "cd75006f1abd1671f2367b8cfd9406b32f5296da";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-20.09";
    rev = "63f299b3347aea183fc5088e4d6c4a193b334a41";
  };
}
