{ pkgs, ... }:

{
  boot.kernelPackages = pkgs.linuxPackages;
  boot.loader.grub = {
    enable = true;
    efiSupport = true;
    efiInstallAsRemovable = false;
    version = 2;
  };

  boot.loader.systemd-boot.enable = false;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.tmpOnTmpfs = true;

  # Workaround for nm-pptp to enforce module load
  boot.kernelModules = [ "nf_conntrack_proto_gre" "nf_conntrack_pptp" ];
}

