{ config, pkgs, ... }:

let
  passwords = import ../../../variables/passwords.crypt.nix;
  keys = import ../../../variables/keys.nix;
  inherit (import ../../lib/default.nix { }) mkUser;

in {
  users.extraUsers.elias = mkUser {
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    hashedPassword = passwords.users.elias;
  };

  users.extraUsers.justyna = mkUser {
    uid = 1002;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    hashedPassword = passwords.users.justyna;
  };
}
