{ pkgs, ... }:

{
  nixpkgs.config.packageOverrides = pkgs:
    with pkgs; {
      nixPath = (import ../../../default.nix {
        versionsPath = ./versions.nix;
      }).nixPath;
    };
  home-manager.users.steveej =
    import ../../../home-manager/configuration/text-minimal.nix {
      inherit pkgs;
    };

  environment.systemPackages = with pkgs; [ iw wirelesstools ];

  system.stateVersion = "21.11";
}
