let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = "b3a8f7ed267e0a7ed100eb7d716c9137ff120fe3";
  };

in {
  inherit nixpkgs;
  "channels-nixos-stable" = nixpkgs;
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "6b10854c8194f1ebaa5bce623e71c6da1c008861";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = "f0ecd4b1db5e15103e955b18cb94bea4296e5c45";
  };
}
