{ config, pkgs, ... }:

let
  passwords = import ../../../variables/passwords.crypt.nix;
  inherit (import ../../lib/default.nix { }) mkUser mkRoot;
in {
  users.mutableUsers = false;

  users.extraUsers.root = mkRoot { };
  users.extraUsers.steveej = mkUser { uid = 1000; };

  security.pam.u2f.enable = true;
  security.pam.services.steveej.u2fAuth = true;
}
